Tracking Value Requests

List All Tracking Value Requests

get

Returns a list of tracking value requests, which can be filtered by campaign, deal, partner, state, and request type.

Path parameters
AccountSIDstringRequired
Query parameters
CampaignIdintegerOptional
DealIdintegerOptional
MediaPartnerIdintegerOptional
Statestring · enumOptionalPossible values:
RequestTypestring · enumOptionalPossible values:
Responses
200

A paginated list of tracking value request objects.

application/json
get
/Advertisers/{AccountSID}/TrackingValueRequests
200

A paginated list of tracking value request objects.

Get Tracking Value Request Details

get

Retrieves the details of an existing tracking value request by its unique ID.

Path parameters
AccountSIDstringRequired
RequestIdintegerRequired

The unique identifier for the tracking value request.

Responses
200

A single tracking value request object.

application/json
IdstringOptional

The unique identifier for the tracking value request.

Example: 99999
CampaignIdintegerOptional

The ID of the program the request is for.

Example: 1000
CampaignNamestringOptional

The display name of the program.

Example: Acme Campaign
MediaPartnerIdintegerOptional

The unique identifier of the partner making the request.

Example: 2552842
MediaPartnerNamestringOptional

The display name of the partner.

Example: Wile E. Coyote Facebook
RequestTypestring · enumOptional

The type of tracking value being requested.

Possible values:
NumberRequestedintegerOptional

The number of tracking values requested.

Example: 5
Statestring · enumOptional

The current state of the request.

Possible values:
DatePlacedstring · date-timeOptional

The date and time the request was placed.

Example: 2026-01-15T10:00:00-08:00
DateNeededstring · date-timeOptional

The date and time the partner needs the request fulfilled by.

Example: 2026-01-20T10:00:00-08:00
DateCompletedstring · date-time · nullableOptional

The date and time the request was completed, if applicable.

Example: 2026-01-18T10:00:00-08:00
AdditionalInstructionsstring · nullableOptional

Additional instructions from the partner.

Example: Please activate immediately.
ProcessingCommentsstring · nullableOptional

Internal processing comments.

Example: Approved.
DealIdinteger · nullableOptional

Optional ID of a Deal associated with the request.

Example: 3
DealNamestringOptional

Name of the associated deal. Empty if no deal is associated with the request.

DealDescriptionstringOptional

Description of the associated deal — information about it or what it does. Empty if no deal is associated with the request.

DealStatestringOptional

What state the associated deal is in. Empty if no deal is associated. Possible values: ACTIVE — currently active; EXPIRED — not currently active; PENDING — waiting for approval.

DealTypestringOptional

What the associated deal does. Empty if no deal is associated. Possible values: GENERAL_SALE, FREE_SHIPPING, GIFT_WITH_PURCHASE, REBATE, BOGO.

DealScopestringOptional

To what extent the deal applies. Possible values: CATEGORY — applies to a category of products; ENTIRE_STORE — applies to the entire store; PRODUCT — applies to a specific product or group.

DealCategoriesstringOptional

If DealScope is CATEGORY, a description of the categories the deal applies to.

DiscountTypestringOptional

Type of discount that applies. Possible values: FIXED — fixed amount off; PERCENT — percentage off; PERCENT_RANGE — percent within a range; PERCENT_MAXIMUM — maximum percentage off.

DiscountAmountnumber · decimalOptional

If DiscountType is FIXED, the discount amount.

DiscountCurrencystringOptional

If DiscountType is FIXED, the currency code of the discount amount (ISO 4217).

DiscountPercentnumber · floatOptional

If DiscountType is PERCENT, the discount percent.

DiscountMaximumPercentnumber · floatOptional

If DiscountType is PERCENT_MAXIMUM, the maximum discount percentage.

DiscountPercentRangeStartnumber · floatOptional

If DiscountType is PERCENT_RANGE, the discount range beginning.

DiscountPercentRangeEndnumber · floatOptional

If DiscountType is PERCENT_RANGE, the discount range end.

GiftstringOptional

If DealType is GIFT_WITH_PURCHASE, the gift's name.

RebateAmountnumber · decimalOptional

If DealType is REBATE, the rebate amount.

RebateCurrencystringOptional

If DealType is REBATE, the rebate currency code (ISO 4217).

DealDefaultPromoCodestringOptional

Default promo code consumers can use to activate the deal when making a purchase.

MinimumPurchaseAmountnumber · decimalOptional

Minimum amount the consumer needs to spend for the deal to apply.

MinimumPurchaseAmountCurrencystringOptional

Currency of the deal's minimum purchase amount (ISO 4217).

MaximumSavingsAmountnumber · decimalOptional

Maximum amount a consumer can save when the deal applies.

MaximumSavingsCurrencystringOptional

Currency of the deal's maximum savings (ISO 4217).

BogoBuyQuantityintegerOptional

If DealType is BOGO, the "buy" quantity required.

BogoBuyScopestringOptional

If DealType is BOGO, the "buy" scope. Possible values: PRODUCT, CATEGORY.

BogoBuyNamestringOptional

If DealType is BOGO, the "buy" product name.

BogoBuyImageUrlstring · uriOptional

If DealType is BOGO, the "buy" product image URL.

BogoGetQuantityintegerOptional

If DealType is BOGO, the "get" quantity.

BogoGetScopestringOptional

If DealType is BOGO, the "get" scope. Possible values: PRODUCT, CATEGORY.

BogoGetDiscountTypestringOptional

If DealType is BOGO, the "get" discount type. Possible values: FREE — receive the GET item free; AMOUNT — receive a specific money amount off; PERCENT — receive a percentage off.

BogoGetNamestringOptional

If DealType is BOGO, the "get" product name.

BogoGetImageUrlstring · uriOptional

If DealType is BOGO, the "get" product image URL.

BogoGetDiscountAmountnumber · decimalOptional

If BogoGetDiscountType is AMOUNT, the "get" discount amount.

BogoGetDiscountCurrencystringOptional

If BogoGetDiscountType is AMOUNT, the currency of the "get" discount amount.

BogoGetDiscountPercentnumber · floatOptional

If BogoGetDiscountType is PERCENT, the "get" discount percent.

PurchaseLimitQuantityintegerOptional

If DealType is BOGO, the maximum quantity of "buy" product purchasable per transaction. 0 means no purchase limit.

DealStartDatestring · date-timeOptional

Date and time the deal begins (ISO 8601).

DealEndDatestring · date-timeOptional

Date and time the deal ends (ISO 8601).

SynchAdsPromoCodesbooleanOptional

Whether the deal aligns the state and date range of all associated ads and promo codes to the deal's.

DealRestrictedMediaPartnersstring[]Optional

Array of partner names that can use the deal.

DealRestrictedMediaPartnerGroupsstring[]Optional

Array of partner groups that can use the deal.

Uristring · uri-referenceOptional

The unique reference to this request in the impact.com API.

Example: /Advertisers/<AccountSID>/TrackingValueRequests/55555
get
/Advertisers/{AccountSID}/TrackingValueRequests/{RequestId}
200

A single tracking value request object.

Approve a Tracking Value Request

put

Approves a specified tracking value request. Different parameters are required based on the request type.

Path parameters
AccountSIDstringRequired
RequestIdintegerRequired

The unique identifier for the request to approve.

Body

Fields required to approve a tracking value request. Required fields depend on the original request type.

PromoCodestringOptional

Required for PROMOCODE_TRACKING.

Example: SUMMER25
CreditPolicystring · enumOptional

Required for PROMOCODE_TRACKING.

Possible values:
MatchModestring · enumOptional

Required for PROMOCODE_TRACKING.

Possible values:
UrlIdintegerOptional

Required for BRANDED_URL_TRACKING.

Example: 2001
AssignedPhoneNumberIdintegerOptional

Required for PHONE_NUMBER_TRACKING.

Example: 12345
DealIdintegerOptional

Optional ID of a Deal to associate with the approved value.

Example: 3
DealNamestringOptional

Optional display name of the associated Deal.

Example: AcmeDeal3
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected request.

put
/Advertisers/{AccountSID}/TrackingValueRequests/{RequestId}
200

The request was successful.

Reject a Tracking Value Request

delete

Rejects a specified tracking value request.

Path parameters
AccountSIDstringRequired
RequestIdintegerRequired

The unique identifier for the request to reject.

Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected request.

delete
/Advertisers/{AccountSID}/TrackingValueRequests/{RequestId}
200

The request was successful.

Last updated